


<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    
    <meta http-equiv="X-UA-Compatible" content="IE=emulateIE7" />
    <title>Coverage for functional_tests.py: 0%</title>
    <link rel="stylesheet" href="style.css" type="text/css">
    
    <script type="text/javascript" src="jquery.min.js"></script>
    <script type="text/javascript" src="jquery.hotkeys.js"></script>
    <script type="text/javascript" src="jquery.isonscreen.js"></script>
    <script type="text/javascript" src="coverage_html.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(coverage.pyfile_ready);
    </script>
</head>
<body class="pyfile">

<div id="header">
    <div class="content">
        <h1>Coverage for <b>functional_tests.py</b> :
            <span class="pc_cov">0%</span>
        </h1>

        <img id="keyboard_icon" src="keybd_closed.png" alt="Show keyboard shortcuts" />

        <h2 class="stats">
            21 statements &nbsp;
            <span class="run hide_run shortkey_r button_toggle_run">0 run</span>
            <span class="mis shortkey_m button_toggle_mis">21 missing</span>
            <span class="exc shortkey_x button_toggle_exc">0 excluded</span>

            
        </h2>
    </div>
</div>

<div class="help_panel">
    <img id="panel_icon" src="keybd_open.png" alt="Hide keyboard shortcuts" />
    <p class="legend">Hot-keys on this page</p>
    <div>
    <p class="keyhelp">
        <span class="key">r</span>
        <span class="key">m</span>
        <span class="key">x</span>
        <span class="key">p</span> &nbsp; toggle line displays
    </p>
    <p class="keyhelp">
        <span class="key">j</span>
        <span class="key">k</span> &nbsp; next/prev highlighted chunk
    </p>
    <p class="keyhelp">
        <span class="key">0</span> &nbsp; (zero) top of page
    </p>
    <p class="keyhelp">
        <span class="key">1</span> &nbsp; (one) first highlighted chunk
    </p>
    </div>
</div>

<div id="source">
    <table>
        <tr>
            <td class="linenos">
<p id="n1" class="stm mis"><a href="#n1">1</a></p>
<p id="n2" class="stm mis"><a href="#n2">2</a></p>
<p id="n3" class="stm mis"><a href="#n3">3</a></p>
<p id="n4" class="stm mis"><a href="#n4">4</a></p>
<p id="n5" class="pln"><a href="#n5">5</a></p>
<p id="n6" class="pln"><a href="#n6">6</a></p>
<p id="n7" class="stm mis"><a href="#n7">7</a></p>
<p id="n8" class="pln"><a href="#n8">8</a></p>
<p id="n9" class="stm mis"><a href="#n9">9</a></p>
<p id="n10" class="stm mis"><a href="#n10">10</a></p>
<p id="n11" class="pln"><a href="#n11">11</a></p>
<p id="n12" class="stm mis"><a href="#n12">12</a></p>
<p id="n13" class="stm mis"><a href="#n13">13</a></p>
<p id="n14" class="pln"><a href="#n14">14</a></p>
<p id="n15" class="stm mis"><a href="#n15">15</a></p>
<p id="n16" class="pln"><a href="#n16">16</a></p>
<p id="n17" class="pln"><a href="#n17">17</a></p>
<p id="n18" class="stm mis"><a href="#n18">18</a></p>
<p id="n19" class="pln"><a href="#n19">19</a></p>
<p id="n20" class="pln"><a href="#n20">20</a></p>
<p id="n21" class="stm mis"><a href="#n21">21</a></p>
<p id="n22" class="stm mis"><a href="#n22">22</a></p>
<p id="n23" class="stm mis"><a href="#n23">23</a></p>
<p id="n24" class="pln"><a href="#n24">24</a></p>
<p id="n25" class="pln"><a href="#n25">25</a></p>
<p id="n26" class="stm mis"><a href="#n26">26</a></p>
<p id="n27" class="stm mis"><a href="#n27">27</a></p>
<p id="n28" class="pln"><a href="#n28">28</a></p>
<p id="n29" class="pln"><a href="#n29">29</a></p>
<p id="n30" class="pln"><a href="#n30">30</a></p>
<p id="n31" class="pln"><a href="#n31">31</a></p>
<p id="n32" class="pln"><a href="#n32">32</a></p>
<p id="n33" class="stm mis"><a href="#n33">33</a></p>
<p id="n34" class="pln"><a href="#n34">34</a></p>
<p id="n35" class="pln"><a href="#n35">35</a></p>
<p id="n36" class="pln"><a href="#n36">36</a></p>
<p id="n37" class="pln"><a href="#n37">37</a></p>
<p id="n38" class="pln"><a href="#n38">38</a></p>
<p id="n39" class="stm mis"><a href="#n39">39</a></p>
<p id="n40" class="pln"><a href="#n40">40</a></p>
<p id="n41" class="stm mis"><a href="#n41">41</a></p>
<p id="n42" class="stm mis"><a href="#n42">42</a></p>
<p id="n43" class="stm mis"><a href="#n43">43</a></p>
<p id="n44" class="pln"><a href="#n44">44</a></p>
<p id="n45" class="pln"><a href="#n45">45</a></p>
<p id="n46" class="pln"><a href="#n46">46</a></p>
<p id="n47" class="pln"><a href="#n47">47</a></p>
<p id="n48" class="pln"><a href="#n48">48</a></p>

            </td>
            <td class="text">
<p id="t1" class="stm mis"><span class="key">from</span> <span class="nam">selenium</span> <span class="key">import</span> <span class="nam">webdriver</span><span class="strut">&nbsp;</span></p>
<p id="t2" class="stm mis"><span class="key">from</span> <span class="nam">selenium</span><span class="op">.</span><span class="nam">webdriver</span><span class="op">.</span><span class="nam">common</span><span class="op">.</span><span class="nam">keys</span> <span class="key">import</span> <span class="nam">Keys</span><span class="strut">&nbsp;</span></p>
<p id="t3" class="stm mis"><span class="key">import</span> <span class="nam">time</span><span class="strut">&nbsp;</span></p>
<p id="t4" class="stm mis"><span class="key">import</span> <span class="nam">unittest</span><span class="strut">&nbsp;</span></p>
<p id="t5" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t6" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t7" class="stm mis"><span class="key">class</span> <span class="nam">NewVisitorTest</span><span class="op">(</span><span class="nam">unittest</span><span class="op">.</span><span class="nam">TestCase</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t8" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t9" class="stm mis">    <span class="key">def</span> <span class="nam">setUp</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t10" class="stm mis">        <span class="nam">self</span><span class="op">.</span><span class="nam">browser</span> <span class="op">=</span> <span class="nam">webdriver</span><span class="op">.</span><span class="nam">Firefox</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t11" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t12" class="stm mis">    <span class="key">def</span> <span class="nam">tearDown</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t13" class="stm mis">        <span class="nam">self</span><span class="op">.</span><span class="nam">browser</span><span class="op">.</span><span class="nam">quit</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t14" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t15" class="stm mis">    <span class="key">def</span> <span class="nam">test_can_start_a_list_and_retrieve_it_later</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t16" class="pln">        <span class="com"># Kon....chi mobil has heard about a cool new online to-do app. She goes</span><span class="strut">&nbsp;</span></p>
<p id="t17" class="pln">        <span class="com"># to check out its homepage</span><span class="strut">&nbsp;</span></p>
<p id="t18" class="stm mis">        <span class="nam">self</span><span class="op">.</span><span class="nam">browser</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'http://localhost:8000'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t19" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t20" class="pln">        <span class="com"># She notices the page header is Landing Page and the title Hello, Apa kabar?</span><span class="strut">&nbsp;</span></p>
<p id="t21" class="stm mis">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertIn</span><span class="op">(</span><span class="str">'Landing Page'</span><span class="op">,</span> <span class="nam">self</span><span class="op">.</span><span class="nam">browser</span><span class="op">.</span><span class="nam">title</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t22" class="stm mis">        <span class="nam">header_text</span> <span class="op">=</span> <span class="nam">self</span><span class="op">.</span><span class="nam">browser</span><span class="op">.</span><span class="nam">find_element_by_tag_name</span><span class="op">(</span><span class="str">'h1'</span><span class="op">)</span><span class="op">.</span><span class="nam">text</span><span class="strut">&nbsp;</span></p>
<p id="t23" class="stm mis">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertIn</span><span class="op">(</span><span class="str">'Hello, Apa kabar?'</span><span class="op">,</span> <span class="nam">header_text</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t24" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t25" class="pln">        <span class="com"># She is invited to write a 300 word status. Before she types the 300 word status, a placeholder 'Enter status' is seen. </span><span class="strut">&nbsp;</span></p>
<p id="t26" class="stm mis">        <span class="nam">inputbox</span> <span class="op">=</span> <span class="nam">self</span><span class="op">.</span><span class="nam">browser</span><span class="op">.</span><span class="nam">find_element_by_id</span><span class="op">(</span><span class="str">'id_new_item'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t27" class="stm mis">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEqual</span><span class="op">(</span><span class="strut">&nbsp;</span></p>
<p id="t28" class="pln">            <span class="nam">inputbox</span><span class="op">.</span><span class="nam">get_attribute</span><span class="op">(</span><span class="str">'placeholder'</span><span class="op">)</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t29" class="pln">            <span class="str">'Enter status'</span><span class="strut">&nbsp;</span></p>
<p id="t30" class="pln">        <span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t31" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t32" class="pln">        <span class="com"># She types a 300 word essay into a text box </span><span class="strut">&nbsp;</span></p>
<p id="t33" class="stm mis">        <span class="nam">inputbox</span><span class="op">.</span><span class="nam">send_keys</span><span class="op">(</span><span class="str">'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim. Donec.'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t34" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t35" class="pln">        <span class="com"># When she hits the button, the page updates, and now the 300 word essay</span><span class="strut">&nbsp;</span></p>
<p id="t36" class="pln">                <span class="com"># is available as an item in a status table</span><span class="strut">&nbsp;</span></p>
<p id="t37" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t38" class="pln">        <span class="com">#inputbox.send_keys(Keys.ENTER)  TO CHANGE</span><span class="strut">&nbsp;</span></p>
<p id="t39" class="stm mis">        <span class="nam">time</span><span class="op">.</span><span class="nam">sleep</span><span class="op">(</span><span class="num">1</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t40" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t41" class="stm mis">        <span class="nam">table</span> <span class="op">=</span> <span class="nam">self</span><span class="op">.</span><span class="nam">browser</span><span class="op">.</span><span class="nam">find_element_by_id</span><span class="op">(</span><span class="str">'id_list_table'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t42" class="stm mis">        <span class="nam">rows</span> <span class="op">=</span> <span class="nam">table</span><span class="op">.</span><span class="nam">find_elements_by_tag_name</span><span class="op">(</span><span class="str">'tr'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t43" class="stm mis">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertTrue</span><span class="op">(</span><span class="strut">&nbsp;</span></p>
<p id="t44" class="pln">            <span class="nam">any</span><span class="op">(</span><span class="nam">row</span><span class="op">.</span><span class="nam">text</span> <span class="op">==</span> <span class="str">'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim. Donec.'</span> <span class="key">for</span> <span class="nam">row</span> <span class="key">in</span> <span class="nam">rows</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t45" class="pln">        <span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t46" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t47" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t48" class="pln"><span class="strut">&nbsp;</span></p>

            </td>
        </tr>
    </table>
</div>

<div id="footer">
    <div class="content">
        <p>
            <a class="nav" href="index.html">&#xab; index</a> &nbsp; &nbsp; <a class="nav" href="https://coverage.readthedocs.io">coverage.py v4.5.1</a>,
            created at 2018-10-10 22:27
        </p>
    </div>
</div>

</body>
</html>
